Subject: Bug report: CELL on linux-2.6.19-git7 won't build,

From: [email-masked] (Linas Vepstas)
Date: Wed, 6 Dec 2006 13:27:45 -0600

Hi Arnd, Geoff,

At this time, linux-2.6.19-git7 won't build when CELL is enabled, with the error

  CHECK   include/asm/spu_info.h
/kernels/kernel.org/linux-2.6.19-git7/usr/include/asm/spu_info.h requires asm/spu.h, which does not exist in exported headers

So I modified include/asm-powerpc/Kbuild only to get

  CHECK   include/asm/spu.h
/kernels/kernel.org/linux-2.6.19-git7/usr/include/asm/spu.h requires linux/workqueue.h, which does not exist in exported
headers

So I stripped everything out. I'm not sure what the correct fix is
suposed to be.

--linas

----
 include/asm-powerpc/Kbuild |    3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

Index: linux-2.6.19-git7/include/asm-powerpc/Kbuild
===================================================================
--- linux-2.6.19-git7.orig/include/asm-powerpc/Kbuild	2006-12-05 17:11:02.000000000 -0600
+++ linux-2.6.19-git7/include/asm-powerpc/Kbuild	2006-12-06 13:13:08.000000000 -0600
@@ -17,7 +17,8 @@ header-y += ipc.h
 header-y += poll.h
 header-y += shmparam.h
 header-y += sockios.h
-header-y += spu_info.h
+# header-y += spu_info.h
+# header-y += spu.h
 header-y += ucontext.h
 header-y += ioctl.h
 header-y += linkage.h